package com.bonus.canteen.core.menu.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("原料扩展方法表")
public class MenuMaterialFunction {
   @TableId(
      value = "function_id",
      type = IdType.AUTO
   )
   @ApiModelProperty("主键id")
   private Long functionId;
   @ApiModelProperty("货品id")
   private Long materialId;
   @ApiModelProperty("类型(1初加工方法，2切配方法)")
   private Integer type;
   @ApiModelProperty("内容")
   private String content;

   public Long getFunctionId() {
      return this.functionId;
   }

   public Long getMaterialId() {
      return this.materialId;
   }

   public Integer getType() {
      return this.type;
   }

   public String getContent() {
      return this.content;
   }

   public void setFunctionId(final Long functionId) {
      this.functionId = functionId;
   }

   public void setMaterialId(final Long materialId) {
      this.materialId = materialId;
   }

   public void setType(final Integer type) {
      this.type = type;
   }

   public void setContent(final String content) {
      this.content = content;
   }
}
